---
title: Name App Version
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > App Builder
---

# Name App Version{% #name-app-version %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                      |
| ----------------- | --------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/app-builder/apps/{app_id}/version-name |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/app-builder/apps/{app_id}/version-name |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/app-builder/apps/{app_id}/version-name      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/app-builder/apps/{app_id}/version-name      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/app-builder/apps/{app_id}/version-name  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/app-builder/apps/{app_id}/version-name     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/app-builder/apps/{app_id}/version-name |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/app-builder/apps/{app_id}/version-name |

### Overview

Assign a human-readable name to a specific version of an app. The version is selected through the `version` query parameter. This endpoint requires the `apps_write` permission.

### Arguments

#### Path Parameters

| Name                     | Type   | Description        |
| ------------------------ | ------ | ------------------ |
| app_id [*required*] | string | The ID of the app. |

#### Query Strings

| Name                      | Type   | Description                                                                                                                                             |
| ------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| version [*required*] | string | The version number of the app to name. The special values `latest` and `deployed` can also be used to target the latest or currently published version. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                  | Type   | Description                                                         |
| ------------ | ---------------------- | ------ | ------------------------------------------------------------------- |
|              | data                   | object | Data for naming a specific app version.                             |
| data         | attributes             | object | Attributes for naming a specific app version.                       |
| attributes   | name [*required*] | string | The name to assign to the app version.                              |
| data         | type                   | enum   | The version-name resource type. Allowed enum values: `versionNames` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "v1.2.0 - bug fix release"
    },
    "type": "versionNames"
  }
}
```

{% /tab %}

### Response

{% tab title="204" %}
No Content
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export app_id="65bb1f25-52e1-4510-9f8d-22d1516ed693" \# Required query arguments export version="3" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/app-builder/apps/${app_id}/version-name?version=${version}" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "name": "v1.2.0 - bug fix release"
    },
    "type": "versionNames"
  }
}
EOF 
                        
##### 

```go
// Name App Version returns "No Content" response

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.UpdateAppVersionNameRequest{
		Data: &datadogV2.UpdateAppVersionNameRequestData{
			Attributes: &datadogV2.UpdateAppVersionNameRequestDataAttributes{
				Name: "v1.2.0 - bug fix release",
			},
			Type: datadogV2.APPVERSIONNAMETYPE_VERSIONNAMES.Ptr(),
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewAppBuilderApi(apiClient)
	r, err := api.UpdateAppVersionName(ctx, uuid.MustParse("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"), "version", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `AppBuilderApi.UpdateAppVersionName`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Name App Version returns "No Content" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.AppBuilderApi;
import com.datadog.api.client.v2.model.AppVersionNameType;
import com.datadog.api.client.v2.model.UpdateAppVersionNameRequest;
import com.datadog.api.client.v2.model.UpdateAppVersionNameRequestData;
import com.datadog.api.client.v2.model.UpdateAppVersionNameRequestDataAttributes;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    AppBuilderApi apiInstance = new AppBuilderApi(defaultClient);

    UpdateAppVersionNameRequest body =
        new UpdateAppVersionNameRequest()
            .data(
                new UpdateAppVersionNameRequestData()
                    .attributes(
                        new UpdateAppVersionNameRequestDataAttributes()
                            .name("v1.2.0 - bug fix release"))
                    .type(AppVersionNameType.VERSIONNAMES));

    try {
      apiInstance.updateAppVersionName(
          UUID.fromString("65bb1f25-52e1-4510-9f8d-22d1516ed693"), "3", body);
    } catch (ApiException e) {
      System.err.println("Exception when calling AppBuilderApi#updateAppVersionName");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```python
"""
Name App Version returns "No Content" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.app_builder_api import AppBuilderApi
from datadog_api_client.v2.model.app_version_name_type import AppVersionNameType
from datadog_api_client.v2.model.update_app_version_name_request import UpdateAppVersionNameRequest
from datadog_api_client.v2.model.update_app_version_name_request_data import UpdateAppVersionNameRequestData
from datadog_api_client.v2.model.update_app_version_name_request_data_attributes import (
    UpdateAppVersionNameRequestDataAttributes,
)
from uuid import UUID

body = UpdateAppVersionNameRequest(
    data=UpdateAppVersionNameRequestData(
        attributes=UpdateAppVersionNameRequestDataAttributes(
            name="v1.2.0 - bug fix release",
        ),
        type=AppVersionNameType.VERSIONNAMES,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = AppBuilderApi(api_client)
    api_instance.update_app_version_name(
        app_id=UUID("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"), version="version", body=body
    )
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Name App Version returns "No Content" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::AppBuilderAPI.new

body = DatadogAPIClient::V2::UpdateAppVersionNameRequest.new({
  data: DatadogAPIClient::V2::UpdateAppVersionNameRequestData.new({
    attributes: DatadogAPIClient::V2::UpdateAppVersionNameRequestDataAttributes.new({
      name: "v1.2.0 - bug fix release",
    }),
    type: DatadogAPIClient::V2::AppVersionNameType::VERSIONNAMES,
  }),
})
api_instance.update_app_version_name("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "version", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```rust
// Name App Version returns "No Content" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_app_builder::AppBuilderAPI;
use datadog_api_client::datadogV2::model::AppVersionNameType;
use datadog_api_client::datadogV2::model::UpdateAppVersionNameRequest;
use datadog_api_client::datadogV2::model::UpdateAppVersionNameRequestData;
use datadog_api_client::datadogV2::model::UpdateAppVersionNameRequestDataAttributes;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let body = UpdateAppVersionNameRequest::new().data(
        UpdateAppVersionNameRequestData::new()
            .attributes(UpdateAppVersionNameRequestDataAttributes::new(
                "v1.2.0 - bug fix release".to_string(),
            ))
            .type_(AppVersionNameType::VERSIONNAMES),
    );
    let configuration = datadog::Configuration::new();
    let api = AppBuilderAPI::with_config(configuration);
    let resp = api
        .update_app_version_name(
            Uuid::parse_str("00000000-0000-0000-0000-000000000000").expect("invalid UUID"),
            "version".to_string(),
            body,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Name App Version returns "No Content" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.AppBuilderApi(configuration);

const params: v2.AppBuilderApiUpdateAppVersionNameRequest = {
  body: {
    data: {
      attributes: {
        name: "v1.2.0 - bug fix release",
      },
      type: "versionNames",
    },
  },
  appId: "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
  version: "version",
};

apiInstance
  .updateAppVersionName(params)
  .then((data: any) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
